## convmv 1.08

=== Makefile ===
DESTDIR=
PREFIX=/usr/local
MANDIR=$(PREFIX)/share/man

all: manpage

install: all
	mkdir -p $(DESTDIR)$(MANDIR)/man1/
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	cp convmv.1.gz $(DESTDIR)$(MANDIR)/man1/
	install -m 755 convmv $(DESTDIR)$(PREFIX)/bin/

manpage:
	pod2man --section 1 --center=" " convmv | gzip > convmv.1.gz

clean:
	rm -f convmv.1.gz convmv-*.tar.gz MD5sums .files .name
	rm -rf suite

test:
	test -d suite || tar xf testsuite.tar
	cd suite ; ./dotests.sh

dist: clean
	sed -n "2,2p" convmv |sed "s/.*convmv \([^ ]*\).*/\1/" > VERSION
	md5sum `find . -name "*" -type f` |gpg --clearsign >.MD5sums
	mv .MD5sums MD5sums
	ls > .files
	echo convmv-`cat VERSION` >.name
	mkdir `cat .name`
	mv `cat .files` `cat .name`
	tar --posix -cv * |gzip > `cat .name`.tar.gz
	mv `cat .name`/* .
	rmdir `cat .name`

## convmv 1.10

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,6 @@
 	echo convmv-`cat VERSION` >.name
 	mkdir `cat .name`
 	mv `cat .files` `cat .name`
-	tar --posix -cv * |gzip > `cat .name`.tar.gz
+	tar -cv * |gzip > `cat .name`.tar.gz
 	mv `cat .name`/* .
 	rmdir `cat .name`

## convmv 1.15

=== Makefile ===
DESTDIR=
PREFIX=/usr/local
MANDIR=$(PREFIX)/share/man
TAR=tar
FIND=find
SED=sed

all: manpage

install: all
	mkdir -p $(DESTDIR)$(MANDIR)/man1/
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	cp convmv.1.gz $(DESTDIR)$(MANDIR)/man1/
	install -m 755 convmv $(DESTDIR)$(PREFIX)/bin/

manpage:
	pod2man --section 1 --center=" " convmv | gzip > convmv.1.gz

clean:
	rm -f convmv.1.gz convmv-*.tar.gz MD5sums SHA256sums .files .name
	rm -rf suite

test:
	test -d suite || $(TAR) xf testsuite.tar
	cd suite ; ./dotests.sh

dist: clean
	$(SED) -n "2,2p" convmv |$(SED) "s/.*convmv \([^ ]*\).*/\1/" > VERSION
	$(FIND) . -name "*" ! -name ".*" -type f -print | xargs sha256sum | gpg --clearsign > .SHA256sums
	mv .SHA256sums SHA256sums
	ls > .files
	echo convmv-`cat VERSION` >.name
	mkdir `cat .name`
	mv `cat .files` `cat .name`
	$(TAR) cvf - * |gzip > `cat .name`.tar.gz
	mv `cat .name`/* .
	rmdir `cat .name`

=== debian/changelog ===
convmv (1.15-2) experimental; urgency=low

  * Use corect target for installation in debian/rules
    Thanks to Gerardo Esteban Malazdrewicz for reporting and
    shame on me. Closes: #696434

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Dec 2012 07:43:42 +0100

convmv (1.15-1) experimental; urgency=low

  * New upstream version
  * Take the package over
  * Move to source v3
  * Move to dh7-style debian/rules and bump debhelper compatibility
    level to 9
  * Add ${misc:Depends} in debian/control as we're using debhelper
  * Bump Standards to 3.9.3 (checked)
  * Explicitly link to GPL-2 licence in debian/copyright
  * Add copyright information to debian/copyright
  * Use machine-parseable copyright file
  * Use xz compression (therefore Pre-Depend on dpkg>= 1.15.6~)

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Aug 2012 10:19:38 +0200

convmv (1.12-2) unstable; urgency=low

  * Avoid immense number of annoying warning messages. Closes: #504327

 -- Raphael Zimmerer <killekulla@rdrz.de>  Tue, 04 Nov 2008 01:31:34 +0100

convmv (1.12-1) unstable; urgency=low

  * New upstream release
    - GPL v2 and v3 now
    - Workaround bugs in recent perl releases
  * Enable testsuite

 -- Raphael Zimmerer <killekulla@rdrz.de>  Fri, 01 Feb 2008 00:38:02 +0100

convmv (1.10-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #388551)
    - This version fix the problem with utf-8 (Closes: #352613)
  * Bump standards version
  * Move debhelper to Build-Depends

 -- Julien Danjou <acid@debian.org>  Sun, 12 Nov 2006 22:50:01 +0100

convmv (1.09-1) unstable; urgency=low

  * New upstream release (Bugfix only)
  * Make package lintian clean.

 -- Raphael Zimmerer <killekulla@rdrz.de>  Fri, 13 Jan 2006 11:56:38 +0100

convmv (1.08-1) unstable; urgency=low

  * New upstream release (Bugfix only)
  * Add keywords to description. Closes: #251603

 -- Raphael Zimmerer <killekulla@rdrz.de>  Wed, 25 Aug 2004 21:09:55 +0200

convmv (1.07-1) unstable; urgency=low

  * New upstream version
  * Change of Description, thanks to Joe Drew <hoserhead@woot.net>

 -- Raphael Zimmerer <killekulla@rdrz.de>  Thu, 15 Jan 2004 03:23:13 +0100

convmv (1.05-1) unstable; urgency=low

  * Initial release.
  * Initial (sponsored) upload. Closes: #220856

 -- Raphael Zimmerer <killekulla@rdrz.de>  Sun, 16 Nov 2003 15:53:43 +0100

=== debian/control ===
Source: convmv
Section: utils
Priority: optional
Maintainer: Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: perl
Build-Depends: debhelper ( >= 9~ )
Standards-Version: 3.9.3

Package: convmv
Architecture: all
Depends: ${misc:Depends},${perl:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: filename encoding conversion tool
 convmv can convert a single filename, a directory tree or all files
 on a filesystem to a different encoding. It only converts the
 encoding of filenames, not files contents. A special feature of
 convmv is that it also takes care of symlinks: the encoding of the
 symlink's target will be converted if the symlink itself is being
 converted.  
 .
 It is also possible to convert directories to UTF-8 which are already
 partially UTF-8 encoded.
 .
 Keywords: rename, move

=== debian/watch ===
version=2
http://j3e.de/linux/convmv/convmv-(.*)\.tar\.gz	debian	uupdate

## convmv 2.0

=== debian/changelog ===
convmv (2.0-1) unstable; urgency=low

  * New upstream release
  * Add VCS-* fields
  * Update Standards to 3.9.6 (checked)
  * Fix 'File:' typo in debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 May 2015 21:41:39 +0200

convmv (1.15-3) unstable; urgency=low

  * Upload to unstable

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 May 2015 14:55:31 +0200

## convmv 2.04

=== debian/changelog ===
convmv (2.04-1) unstable; urgency=medium

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 Dec 2017 08:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: perl
 Build-Depends: debhelper ( >= 9~ )
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/convmv.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/convmv.git
 
 Package: convmv
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

%:
	dh $@

override_dh_auto_install: 
	set
	make install PREFIX=debian/convmv/usr

override_dh_builddeb:
	dh_builddeb -- -Zxz

## convmv 2.05

=== debian/changelog ===
convmv (2.05-1) unstable; urgency=medium

  * New upstream version 2.05
  * Add patch to fix typo
  * Migrate to dh 11
  * d/control: Add myself as a maintainer (Closes: #895272)
  * d/control: Declare Standards-Version 4.1.4
  * d/control: Add Homepage field (which is rather a manpage)
  * d/control: Remove Pre-Depends on dpkg
  * d/control: Rearrange dependencies a bit
  * d/control: Change Vcs-{Browser,Git} URLs to salsa.debian.org
  * d/copyright: Update copyright information
  * d/copyright: Use HTTPS for copyright format URL
  * d/rules: Remove trailing spaces in d/rules
  * d/watch: Migrate to HTTPS

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 13 Apr 2018 10:55:02 +0500

convmv (2.04-2) unstable; urgency=medium

  * Orphan the package

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Apr 2018 09:56:09 +0200

=== debian/control ===
Source: convmv
Section: utils
Priority: optional
Maintainer: Lev Lamberov <dogsleg@debian.org>
Build-Depends-Indep: perl
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://www.j3e.de/linux/convmv/man/
Vcs-Browser: https://salsa.debian.org/debian/convmv
Vcs-Git: https://salsa.debian.org/debian/convmv.git

Package: convmv
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: filename encoding conversion tool
 convmv can convert a single filename, a directory tree or all files
 on a filesystem to a different encoding. It only converts the
 encoding of filenames, not files contents. A special feature of
 convmv is that it also takes care of symlinks: the encoding of the
 symlink's target will be converted if the symlink itself is being
 converted.
 .
 It is also possible to convert directories to UTF-8 which are already
 partially UTF-8 encoded.
 .
 Keywords: rename, move

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@
 
-override_dh_auto_install: 
+override_dh_auto_install:
 	set
 	make install PREFIX=debian/convmv/usr

## convmv 2.06+repack

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 dist: clean
 	$(SED) -n "2,2p" convmv |$(SED) "s/.*convmv \([^ ]*\).*/\1/" > VERSION
-	$(FIND) . -name "*" ! -name ".*" -type f -print | xargs sha256sum | gpg --clearsign > .SHA256sums
+	$(FIND) . -name "*" ! -name ".*" -type f -print | xargs sha256sum | gpg --clearsign > .SHA256sums || true
 	mv .SHA256sums SHA256sums
 	ls > .files
 	echo convmv-`cat VERSION` >.name

=== debian/changelog ===
convmv (2.06+repack-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + convmv: Add Multi-Arch: foreign.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.1.5, no changes needed.

  [ Lev Lamberov ]
  * New upstream version 2.06+repack
  * Refresh patch to fix typos
  * Explain what was excluded in repack
  * d/control: Declare Standards-Version 4.7.2 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright years
  * d/rules: Drop custom compression
  * d/watch: Update format, add dversionmangle

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 12 Mar 2025 16:36:49 +0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Lev Lamberov <dogsleg@debian.org>
 Build-Depends-Indep: perl
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://www.j3e.de/linux/convmv/man/
 Vcs-Browser: https://salsa.debian.org/debian/convmv
 Vcs-Git: https://salsa.debian.org/debian/convmv.git
@@ -13,6 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends}
+Multi-Arch: foreign
 Description: filename encoding conversion tool
  convmv can convert a single filename, a directory tree or all files
  on a filesystem to a different encoding. It only converts the

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,4 @@
 	set
 	make install PREFIX=debian/convmv/usr
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+.PHONY: override_dh_auto_install

=== debian/watch ===
version=4
opts=dversionmangle=s/\+?(repack)\d*$// \
https://j3e.de/linux/convmv/convmv-(.*)\.tar\.gz
